/**
 * This file is part of Seneschal, a ranking function generator for
 * machine arithmetic.
 * <http://www.philipp.ruemmer.org/seneschal.shtml>
 *
 * Copyright (C) 2009 Philipp Ruemmer <ph_r@gmx.net>
 *
 * Seneschal is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Seneschal is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Seneschal.  If not, see <http://www.gnu.org/licenses/>.
 */

package bitRanks.util

import ap.util.{Debug => ApDebug}

object Debug {
  
    case object AC_RANKING_FINDER extends ApDebug.ASSERTION_CATEGORY
    case object AC_MAIN extends ApDebug.ASSERTION_CATEGORY
    case object AC_OPERAND_SORTER extends ApDebug.ASSERTION_CATEGORY
  
}
